Description: Linking libX11 only with procmeter3-{xaw,gtk1,gtk2}
Author: ISHIKAWA Mutsumi <ishikawa@debian.org>
Bug-Debian: http://bugs.debian.org/651166
Forwarded: Yes
Last-Update: 2012-03-10


--- a/Makefile
+++ b/Makefile
@@ -85,13 +85,13 @@
 ########
 
 procmeter3-xaw  :
-	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LD="$(LD)" LDFLAGS="$(LDFLAGS)" -C xaw
+	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LD="$(LD)" LDFLAGS="$(LDFLAGS) -lX11" -C xaw
 
 procmeter3-gtk1 :
-	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LD="$(LD)" LDFLAGS="$(LDFLAGS)" -C gtk1
+	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LD="$(LD)" LDFLAGS="$(LDFLAGS) -lX11" -C gtk1
 
 procmeter3-gtk2 :
-	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LD="$(LD)" LDFLAGS="$(LDFLAGS)" -C gtk2
+	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LD="$(LD)" LDFLAGS="$(LDFLAGS) -lX11" -C gtk2
 
 procmeter3-gtk3 :
 	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LD="$(LD)" LDFLAGS="$(LDFLAGS)" -C gtk3
